- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Updates a MetadataFeed.
HTTP request
PATCH https://dataplex.googleapis.com/v1/{metadataFeed.name=projects/*/locations/*/metadataFeeds/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
metadataFeed.name |
Identifier. The resource name of the metadata feed, in the format |
Query parameters
| Parameters | |
|---|---|
updateMask |
Optional. Mask of fields to update. This is a comma-separated list of fully qualified names of fields. Example: |
validateOnly |
Optional. Only validate the request, but do not perform mutations. The default is false. |
Request body
The request body contains an instance of MetadataFeed.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/dataplex.read-write
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
dataplex.metadataFeeds.update
For more information, see the IAM documentation.